"use strict";
importScripts("filterDeps.js");
var frameMorphology = require('frameMorphology');

// If we get a message, assume it contains some work to do, and pass the data as arguments to filter.
self.addEventListener('message', function(e) {
    // It is assumed e.data is a list containing (in this order): resultSignature, imageData, filterSpec, frameName, gammaCorrect, gamutMapping

    // Filter image data
    try {
        frameMorphology.filter.apply(undefined, e.data.slice(1).concat([self.postMessage]));
    } catch (err) {
        self.postMessage(err.toString());
        return;
    }
    
    // Send back data
    self.postMessage([e.data[0],e.data[1]]);
}, false);

